using System;
using System.Collections.Generic;
using System.Text;

using IBatisInAction.Domain;
using System.Collections;

namespace IBatisInAction.Persistence
{
    public class CategoryDao : BaseSqlMapDao
    {
        public Category SelectById(Category category)
        {
            return ExecuteQueryForObject<Category>("Category_SelectById", category);
        }

        public Category SelectById(int categoryId)
        {
            return ExecuteQueryForObject<Category>("Category_Select", categoryId);
        }

        public IList<Category> SelectAll()
        {
            return ExecuteQueryForList<Category>("Category_SelectAll", null);
        }

        public IList<int> SelectAllIds()
        {
            return ExecuteQueryForList<int>("Category_SelectAllIds", null);
        }
    }
}
